import { createApp } from 'vue'
import '@/style.css'

// Vuetify
import 'vuetify/styles'
import { createVuetify } from 'vuetify'
import * as components from 'vuetify/components'
import * as directives from 'vuetify/directives'

// vue3-openlayers
import OpenLayersMap from "vue3-openlayers";

import App from '@/App.vue'
import router from '@/plugins/router'

const vuetify = createVuetify({
    components,
    directives,
  })

createApp(App).use(router).use(vuetify).use(OpenLayersMap).mount('#app')